package org.devcake.groovy.autoimports

import org.codehaus.groovy.runtime.StackTraceUtils
import javax.swing.UIManager
import groovy.ui.Console

/**
 * Created by IntelliJ IDEA.
 * User: Admin
 * Date: 30.09.2010
 * Time: 3:26:29
 * To change this template use File | Settings | File Templates.
 */
class ConsoleUtils {
    static void runConsole(Class<Console> consoleClass, args) {
        if (args.length == 1 && args[0] == '--help') {
            println '''usage: groovyConsole [options] [filename]
options:
  --help                               This Help message
  -cp,-classpath,--classpath <path>    Specify classpath'''
            return
        }

        // allow the full stack traces to bubble up to the root logger
        java.util.logging.Logger.getLogger(StackTraceUtils.STACK_LOG_NAME).useParentHandlers = true

        //when starting via main set the look and feel to system
        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());

        def console = consoleClass.newInstance(consoleClass.classLoader?.getRootLoader())
        console.run()
        if (args.length == 1) console.loadScriptFile(args[0] as File)

    }
}
